com.r3corda.core.math / CubicSplineInterpolator

# CubicSplineInterpolator

`class CubicSplineInterpolator : Interpolator`

Interpolates values between the given data points using a SplineFunction.

Implementation uses the Natural Cubic Spline algorithm as described in R. L. Burden and J. D. Faires (2011), Numerical Analysis. 9th ed. Boston, MA: Brooks/Cole, Cengage Learning. p149-150.

### Constructors

<init> | `CubicSplineInterpolator(xs: DoubleArray, ys: DoubleArray)` Interpolates values between the given data points using a SplineFunction.

### Functions

interpolate | `fun interpolate(x: Double): Double`

### Companion Object Functions

create | `fun create(xs: DoubleArray, ys: DoubleArray): CubicSplineInterpolator`